<?xml version="1.0" encoding="ISO-8859-1"?>
<!-- ~ /* ~ * Copyright (C) 2003-2016 eXo Platform SAS. ~ * ~ * This program 
	is free software; you can redistribute it and/or ~ * modify it under the 
	terms of the GNU Affero General Public License ~ * as published by the Free 
	Software Foundation; either version 3 ~ * of the License, or (at your option) 
	any later version. ~ * ~ * This program is distributed in the hope that it 
	will be useful, ~ * but WITHOUT ANY WARRANTY; without even the implied warranty 
	of ~ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the ~ * GNU 
	General Public License for more details. ~ * ~ * You should have received 
	a copy of the GNU General Public License ~ * along with this program; if 
	not, see<http://www.gnu.org/licenses/>. ~ */ -->
<configuration xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
               xsi:schemaLocation="http://www.exoplatform.org/xml/ns/kernel_1_2.xsd http://www.exoplatform.org/xml/ns/kernel_1_2.xsd"
               xmlns="http://www.exoplatform.org/xml/ns/kernel_1_2.xsd">

  <component>
    <key>org.exoplatform.cs.service.subscription.SubscriptionService</key>
    <type>org.exoplatform.cs.service.subscription.SubscriptionService</type>
  </component>

  <component>
    <key>org.exoplatform.cs.service.sla.SlaService</key>
    <type>org.exoplatform.cs.service.sla.SlaService</type>
  </component>


  <external-component-plugins>
    <target-component>org.exoplatform.cs.service.sla.SlaService</target-component>
    <component-plugin>
      <name>AddSla</name>
      <set-method>addSla</set-method>
      <type>org.exoplatform.cs.service.sla.SlaPlugin</type>
      <init-params>
        <object-param>
          <name>sla</name>
          <object type="org.exoplatform.cs.service.sla.SlaConfig">
            <field name="sla">
              <object type="org.exoplatform.cs.service.sla.Sla">

                <field name="name">
                  <string>Standard</string>
                </field>
                <field name="slaDelays">
                  <collection type="java.util.ArrayList">
                    <value>
                      <object type="org.exoplatform.cs.service.sla.SlaDelay">
                        <field name="severity">
                          <string>SEVERITY_1</string>
                        </field>
                        <field name="delay">
                          <int>1</int>
                        </field>
                        <field name="unit">
                          <string>hour</string>
                        </field>
                        <field name="business">
                          <boolean>true</boolean>
                        </field>
                      </object>
                    </value>

                    <value>
                      <object type="org.exoplatform.cs.service.sla.SlaDelay">
                        <field name="severity">
                          <string>SEVERITY_2</string>
                        </field>
                        <field name="delay">
                          <int>4</int>
                        </field>
                        <field name="unit">
                          <string>hour</string>
                        </field>
                        <field name="business">
                          <boolean>true</boolean>
                        </field>
                      </object>
                    </value>

                    <value>
                      <object type="org.exoplatform.cs.service.sla.SlaDelay">
                        <field name="severity">
                          <string>SEVERITY_3</string>
                        </field>
                        <field name="delay">
                          <int>2</int>
                        </field>
                        <field name="unit">
                          <string>day</string>
                        </field>
                        <field name="business">
                          <boolean>true</boolean>
                        </field>
                      </object>
                    </value>

                    <value>
                      <object type="org.exoplatform.cs.service.sla.SlaDelay">
                        <field name="severity">
                          <string>SEVERITY_4</string>
                        </field>
                        <field name="delay">
                          <int>3</int>
                        </field>
                        <field name="unit">
                          <string>day</string>
                        </field>
                        <field name="business">
                          <boolean>true</boolean>
                        </field>
                      </object>
                    </value>
                  </collection>
                </field>
              </object>
            </field>
          </object>
        </object-param>
      </init-params>
    </component-plugin>


    <component-plugin>
      <name>AddSla</name>
      <set-method>addSla</set-method>
      <type>org.exoplatform.cs.service.sla.SlaPlugin</type>
      <init-params>
        <object-param>
          <name>sla</name>
          <object type="org.exoplatform.cs.service.sla.SlaConfig">
            <field name="sla">
              <object type="org.exoplatform.cs.service.sla.Sla">

                <field name="name">
                  <string>Premium</string>
                </field>
                <field name="slaDelays">
                  <collection type="java.util.ArrayList">
                    <value>
                      <object type="org.exoplatform.cs.service.sla.SlaDelay">
                        <field name="severity">
                          <string>SEVERITY_1</string>
                        </field>
                        <field name="delay">
                          <int>1</int>
                        </field>
                        <field name="unit">
                          <string>hour</string>
                        </field>
                        <field name="business">
                          <boolean>false</boolean>
                        </field>
                      </object>
                    </value>

                    <value>
                      <object type="org.exoplatform.cs.service.sla.SlaDelay">
                        <field name="severity">
                          <string>SEVERITY_2</string>
                        </field>
                        <field name="delay">
                          <int>4</int>
                        </field>
                        <field name="unit">
                          <string>hour</string>
                        </field>
                        <field name="business">
                          <boolean>false</boolean>
                        </field>
                      </object>
                    </value>

                    <value>
                      <object type="org.exoplatform.cs.service.sla.SlaDelay">
                        <field name="severity">
                          <string>SEVERITY_3</string>
                        </field>
                        <field name="delay">
                          <int>1</int>
                        </field>
                        <field name="unit">
                          <string>day</string>
                        </field>
                        <field name="business">
                          <boolean>true</boolean>
                        </field>
                      </object>
                    </value>

                    <value>
                      <object type="org.exoplatform.cs.service.sla.SlaDelay">
                        <field name="severity">
                          <string>SEVERITY_4</string>
                        </field>
                        <field name="delay">
                          <int>2</int>
                        </field>
                        <field name="unit">
                          <string>day</string>
                        </field>
                        <field name="business">
                          <boolean>true</boolean>
                        </field>
                      </object>
                    </value>


                  </collection>
                </field>
              </object>
            </field>
          </object>
        </object-param>
      </init-params>
    </component-plugin>

  </external-component-plugins>




  <external-component-plugins>
    <target-component>org.exoplatform.cs.service.subscription.SubscriptionService</target-component>
    <component-plugin>
      <name>AddSubscription</name>
      <set-method>addSubscription</set-method>
      <type>org.exoplatform.cs.service.subscription.SubscriptionPlugin</type>
      <init-params>
        <object-param>
          <name>subscription</name>
          <object type="org.exoplatform.cs.service.subscription.SubscriptionConfig">
            <field name="subscription">
              <object type="org.exoplatform.cs.service.subscription.Subscription">
                <field name="name">
                  <string>Professional</string>
                </field>
              </object>
            </field>
          </object>
        </object-param>
      </init-params>
    </component-plugin>

    <component-plugin>
      <name>AddSubscription</name>
      <set-method>addSubscription</set-method>
      <type>org.exoplatform.cs.service.subscription.SubscriptionPlugin</type>
      <init-params>
        <object-param>
          <name>subscription</name>
          <object type="org.exoplatform.cs.service.subscription.SubscriptionConfig">
            <field name="subscription">
              <object type="org.exoplatform.cs.service.subscription.Subscription">

                <field name="name">
                  <string>Enterprise</string>
                </field>

              </object>
            </field>
          </object>
        </object-param>
      </init-params>
    </component-plugin>

    <component-plugin>
      <name>AddSubscription</name>
      <set-method>addSubscription</set-method>
      <type>org.exoplatform.cs.service.subscription.SubscriptionPlugin</type>
      <init-params>
        <object-param>
          <name>subscription</name>
          <object type="org.exoplatform.cs.service.subscription.SubscriptionConfig">
            <field name="subscription">
              <object type="org.exoplatform.cs.service.subscription.Subscription">

                <field name="name">
                  <string>Enterprise Plus</string>
                </field>

              </object>
            </field>
          </object>
        </object-param>
      </init-params>
    </component-plugin>

  </external-component-plugins>

</configuration>
